<?php
// |-------------------------------------------------------------|
// | DeskTiny ver 1.1
// | Copyright (C) 2005 
// |-------------------------------------------------------------|
// | File Details:
// | - Index
// |-------------------------------------------------------------|
require_once("init.php");
require_once("lang/{$cur_lg_folder}/index.php");
zero::StartSession("Index User");

$smarty_tpl->assign("main_page","index");

$top_articles 		= zero::GetTopArticles($setting['top_articles_num']);
$smarty_tpl->assign("top_articles",$top_articles);

if ($pf == "login") {
	if (!zero::UserLogin($email, $password, $remember_me)) {
	  $smarty_tpl->assign("wrong_login", "1");
	  zero::DisplayFront("index.tpl");
	  exit;
	}
	$smarty_tpl->assign("user_email", $email);
	zero::Redirect("index.php");
}
elseif ($pf == "logout") {
	zero::UserLogout();
	zero::Redirect("index.php");
}
elseif ($pf == "lost_password") {
	if (!zero::UserLostPassword($email))
	  $smarty_tpl->assign("no_user_exist", "1");
	else
	  $smarty_tpl->assign("password_sent", "1");
}

$top_news = zero::GetTopNews(3);
foreach ($top_news as $key => $value) {
  if (strlen($top_news[$key]['subject']) > 20)
    $top_news[$key]['subject'] = substr($top_news[$key]['subject'],0,20);
}
$smarty_tpl->assign("top_news", $top_news);

$new_articles = zero::GetNewArticles(3);
foreach ($new_articles as $key => $value) {
  if (strlen($new_articles[$key]['subject']) > 20)
    $new_articles[$key]['subject'] = substr($new_articles[$key]['subject'],0,20);
}
$smarty_tpl->assign("new_articles", $new_articles);

if (zero::IsUserLoggedIn()) {
	$user_info 	= zero::GetUserInfoFront($_COOKIE['DESKTINY_USER_ID']);
  $smarty_tpl->assign("user_info", $user_info);
	zero::DisplayFront("index_in.tpl");
}
else
  zero::DisplayFront("index.tpl");

?>
