<?php
// |-------------------------------------------------------------|
// | Green Desktiny
// | Copyright (C) 2006
// |-------------------------------------------------------------|
// | File Details:
// | - Add language
// |-------------------------------------------------------------|
require_once("init.php");
if (!zero::IsStaffLoggedIn()) {
	zero::Redirect("index.php");
	exit;
}
if (!zero::IsStaffAdmin()) {
	echo "Page cannot be access. Only admin.<br/><a href=\"index.php\">Home</a>";
	exit;
}

zero::StartSession("Add Language");
$staff_id = $_COOKIE['DESKTINY_STAFF_ID'];
$smarty_tpl->assign("subframe", 1);
$smarty_tpl->assign("subframe_title", "Language - add language");

if ($pf == "add") {
	$tinymce_ref = strtolower($tinymce_ref);
	$associate_lang_dir = strtolower($associate_lang_dir);
	zero::IsEmpty("name", $lang['a_empty_name']);
	zero::IsEmpty("tinymce_ref", $lang['a_empty_tinymce']);
	zero::IsEmpty("associate_lang_dir", $lang['a_empty_lang_dir']);
	zero::IsEmpty("hidden_locale", $lang['a_empty_locale']);
	//zero::IsExistLangDir($associate_lang_dir, "Directory {$associate_lang_dir} is already exist");
	if (zero::IsError())
	  EndScript();
	$language_id = zero::AddLanguage($name, $tinymce_ref, $associate_lang_dir, $hidden_locale);
	if ($language_id)
		zero::Redirect("language_browse.php");
}
$smarty_tpl->assign("page_sub_title", "- Add Language");
zero::DisplayStaff("language_add.tpl");

function EndScript() {
	global $smarty_tpl, $errors;
	global $name, $tinymce_ref, $associate_lang_dir, $hidden_locale;

	$smarty_tpl->assign("name", htmlentities($name));
	$smarty_tpl->assign("tinymce_ref", htmlentities($tinymce_ref));
	$smarty_tpl->assign("associate_lang_dir", htmlentities($associate_lang_dir));
	$smarty_tpl->assign("hidden_locale", $hidden_locale);
	$smarty_tpl->assign("language", $language);
	$smarty_tpl->assign("errors", $errors);
  $smarty_tpl->assign("page_sub_title", "- Add Language");
	zero::DisplayStaff("language_add.tpl");
	exit;
}

?>
