<?php
// |-------------------------------------------------------------|
// | Green Desktiny
// | Copyright (C) 2006
// |-------------------------------------------------------------|
// | File Details:
// | - Edit department
// |-------------------------------------------------------------|
require_once("init.php");
if (!zero::IsStaffLoggedIn()) {
	zero::Redirect("index.php");
	exit;
}
if (!zero::IsStaffAdmin()) {
	echo "Page cannot be access. Only admin.<br/><a href=\"index.php\">Home</a>";
	exit;
}

zero::StartSession("Edit Department");
$staff_id = $_COOKIE['DESKTINY_STAFF_ID'];
$smarty_tpl->assign("subframe", 1);
$smarty_tpl->assign("subframe_title", "Department - edit department");

if (!zero::IsDepartmentExist($department_id))
	zero::Redirect("department_browse.php");

if ($pf == "update") {
	zero::IsEmpty("name", $lang['a_empty_name']);
	zero::IsEmpty("description", $lang['a_empty_description']);
	if (zero::IsError())
	  EndScript();
	zero::UpdateDepartment($department_id, $name, $description);
	$smarty_tpl->assign("success", 1);
}
elseif ($pf == "delete") {
	zero::DeleteDepartment($department_id);
	zero::Redirect("department_browse.php");
}
$department = zero::GetDepartment($department_id);
ShowData();
$smarty_tpl->assign("page_sub_title", "- Edit Department ( {$department['name']} )");
zero::DisplayStaff("department_edit.tpl");

function ShowData() {
	global $smarty_tpl, $department_id, $department;

  $smarty_tpl->assign("department_langs", zero::GetDepartmentOtherLang($department_id));
	$department['name'] = htmlentities($department['name']);
	$department['description'] = htmlentities($department['description']);
	$smarty_tpl->assign("department", $department);
	$smarty_tpl->assign("department_id", $department_id);
}

function EndScript() {
	global $smarty_tpl, $errors;
	global $name, $description, $department_id;

	$department = zero::GetDepartment($department_id);
	$department['name'] = htmlentities($name);
	$department['description'] = htmlentities($description);
	$smarty_tpl->assign("department", $department);
  $smarty_tpl->assign("department_langs", zero::GetDepartmentOtherLang($department_id));
	$smarty_tpl->assign("department_id", $department_id);
	$smarty_tpl->assign("errors", $errors);
	$smarty_tpl->assign("page_sub_title", "- Edit Department ( {$department['name']} )");
	zero::DisplayStaff("department_edit.tpl");
	exit;
}

?>
