<?php
// |-------------------------------------------------------------|
// | Green Desktiny
// | Copyright (C) 2006 
// |-------------------------------------------------------------|
// | File Details:
// | - Index
// |-------------------------------------------------------------|
require_once("init.php");

if ($pf == "login") {
	if (!zero::StaffLogin($email, $password, $remember_me)) {
	  $smarty_tpl->assign("wrong_login", "1");
	  $smarty_tpl->assign("email", $email);
	  $smarty_tpl->assign("password", $password);
	  $smarty_tpl->display("staff/login.tpl");
	  exit;
	}
	zero::Redirect("index.php");
}
elseif ($pf == "logout") {
	zero::StaffLogout();
	zero::Redirect("index.php");
}
elseif ($pf == "forgot_password") {
	if (!zero::StaffForgotPassword($email))
	  $smarty_tpl->assign("no_user_exist", "1");
	else
	  $smarty_tpl->assign("password_sent", "1");
  $smarty_tpl->assign("wrong_email", $email);
}

if (zero::IsStaffLoggedIn()) {
	zero::StartSession("Index Staff");
	$staff_id 	= $_COOKIE['DESKTINY_STAFF_ID'];
	$staff = zero::GetStaff($staff_id);
  $smarty_tpl->assign("task_today_options", zero::GetTaskTodayOptions($staff_id));
  $smarty_tpl->assign("task_due_options", zero::GetTaskDueOptions($staff_id));
  $recent_tickets = zero::GetRecentTickets($staff['front_info_tickets_num']);
  $smarty_tpl->assign("recent_tickets", $recent_tickets);
	$month_loc = strftime("%m", time() + $staff['time_zone'] - date("Z"));
	$year_loc = strftime("%Y", time() + $staff['time_zone'] - date("Z"));
	$days = zero::GetScheduleDays($staff_id, $year_loc, $month_loc);
	zero::ShowCal($month_loc, $year_loc, "schedule.php","",2,1,$days);
	$smarty_tpl->assign("page_sub_title", "- Home");
	zero::DisplayStaff("index.tpl");
}
else {
  $smarty_tpl->display("staff/login.tpl");
}


?>
