<?php
// |-------------------------------------------------------------|
// | Green Desktiny
// | Copyright (C) 2006
// |-------------------------------------------------------------|
// | File Details:
// | - Add staff
// |-------------------------------------------------------------|
require_once("init.php");
if (!zero::IsStaffLoggedIn()) {
	zero::Redirect("index.php");
	exit;
}
if (!zero::IsStaffAdmin()) {
	echo "Page cannot be access. Only admin.<br/><a href=\"index.php\">Home</a>";
	exit;
}

zero::StartSession("Add Staff");
$smarty_tpl->assign("subframe", 1);
$smarty_tpl->assign("subframe_title", "Staff - add staff");

$smarty_tpl->assign("time_zone_options", zero::GetTimeZoneOptions());
$smarty_tpl->assign("time_zone_id", $time_zone?$time_zone:date("Z"));

if ($pf == "add") {
	zero::IsEmpty("name", $lang['a_empty_name']);
	if (!zero::IsEmpty("email", $lang['a_empty_email']))
		zero::IsEmailFormatted("email", $lang['a_email_not_formatted']);
	if (zero::IsError())
	  EndScript();
	if (!zero::CheckStaffValidity($email, $staff_id))
	  EndScript();
 	$password = zero::CreatePassword(5);
	$staff_id = zero::AddStaff($name, $email, $password, $time_zone, $department, $is_admin, $is_delete_user, $is_delete_knowledgebase, $is_delete_news,
		$is_delete_user_post, $is_edit_user_post, $is_delete_staff_post, $is_edit_staff_post, $is_notify_ticket_new, $is_notify_ticket_reply);
	zero::Redirect("staff_add.php?staff_id={$staff_id}&pf=confirm");
}
elseif ($pf == "confirm")
  GetConfirmation($staff_id);

$smarty_tpl->assign("departments", zero::GetDepartments());
$smarty_tpl->assign("page_sub_title", "- Add Staff");
zero::DisplayStaff("staff_add.tpl");

function EndScript() {
	global $smarty_tpl, $errors;
	global $name, $email, $password, $is_admin, $is_delete_user, $is_delete_knowledgebase, $is_delete_news,
		$is_delete_user_post, $is_edit_user_post, $is_delete_staff_post, $is_edit_staff_post, $is_notify_ticket_new, $is_notify_ticket_reply;

	$smarty_tpl->assign("name", htmlentities($name));
	$smarty_tpl->assign("email", htmlentities($email));
	$smarty_tpl->assign("is_admin", $is_admin);
	$smarty_tpl->assign("is_delete_user", $is_delete_user);
	$smarty_tpl->assign("is_delete_knowledgebase", $is_delete_knowledgebase);
	$smarty_tpl->assign("is_delete_news", $is_delete_news);
	$smarty_tpl->assign("is_delete_user_post", $is_delete_user_post);
	$smarty_tpl->assign("is_edit_user_post", $is_edit_user_post);
	$smarty_tpl->assign("is_delete_staff_post", $is_delete_staff_post);
	$smarty_tpl->assign("is_edit_staff_post", $is_edit_staff_post);
	$smarty_tpl->assign("is_notify_ticket_new", $is_notify_ticket_new);
	$smarty_tpl->assign("is_notify_ticket_reply", $is_notify_ticket_reply);
	$smarty_tpl->assign("departments", zero::GetDepartments());
	$smarty_tpl->assign("errors", $errors);
	$smarty_tpl->assign("page_sub_title", "- Add Staff");
	zero::DisplayStaff("staff_add.tpl");
	exit;
}

function GetConfirmation($staff_id) {
  global $smarty_tpl;
  
	$staff = zero::GetStaff($staff_id);
	if (!$staff)
		zero::Redirect("staff_browse.php");
	if (time() - $staff['date_registered'] > 300)
	  zero::Redirect("staff_browse.php");
	$smarty_tpl->assign("staff", $staff);
	$smarty_tpl->assign("confirmation", "staff_created");
	$smarty_tpl->assign("page_sub_title", "- Add Staff");
	zero::DisplayStaff("confirmation.tpl");
	exit;
}

?>
