<?php
// |-------------------------------------------------------------|
// | Green Desktiny
// | Copyright (C) 2006
// |-------------------------------------------------------------|
// | File Details:
// | - Statistic Ticket
// |-------------------------------------------------------------|
require_once("init.php");
if (!zero::IsStaffLoggedIn()) {
	zero::Redirect("index.php");
	exit;
}

zero::StartSession("Statistic Ticket");
$staff_id = $_COOKIE['DESKTINY_STAFF_ID'];
$smarty_tpl->assign("subframe", 3);
$smarty_tpl->assign("subframe_title", "Statistic - Tickets");
$request = $_SERVER[QUERY_STRING];
$tickets_info = zero::GetTicketsInfo();

$num_tickets = zero::GetStatActiveTicketsNum();
if (!isset($offset) || $offset < 0 || $offset >= $num_tickets)
  $offset = 0;
$limit = $setting['statistic_num'];
$tickets = zero::GetStatActiveTickets($offset, $limit);
$pagination	= zero::GetPagination("stat_ticket.php", $request, $num_tickets, $offset, $limit);
if (count($tickets))
	if ($num_tickets / count($tickets) > 1)
		$smarty_tpl->assign("pagination", $pagination);
usort($tickets, "SortTotalReplies");
$smarty_tpl->assign("tickets", $tickets);
$smarty_tpl->assign("tickets_info", $tickets_info);
$smarty_tpl->assign("total_tickets", $num_tickets);
$smarty_tpl->assign("page_sub_title", "- Ticket's Statistic");
zero::DisplayStaff("stat_ticket.tpl");

function SortTotalReplies($a, $b) {
	if ($b["num_replies"] == $a["num_replies"])
	  return $a["num_activities"] < $b["num_activities"];
  return $b["num_replies"] < $a["num_replies"] ? -1:1;
}

?>
