<?php
// |-------------------------------------------------------------|
// | Green Desktiny
// | Copyright (C) 2006
// |-------------------------------------------------------------|
// | File Details:
// | - Edit ticket post
// |-------------------------------------------------------------|
require_once("init.php");
if (!zero::IsStaffLoggedIn()) {
	zero::Redirect("index.php");
	exit;
}

if (!zero::IsTicketExist($ticket_ref))
	zero::Redirect("ticket_browse.php");
if (!zero::IsTicketPostExist($post_id))
	zero::Redirect("ticket_detail.php?ticket_ref={$ticket_ref}");
$staff_id = $_COOKIE['DESKTINY_STAFF_ID'];
if (!zero::IsValidTicketAction($ticket_ref))
  zero::Redirect("ticket_detail.php?ticket_ref={$ticket_ref}");
  
zero::StartSession("Edit Ticket Post");
$smarty_tpl->assign("subframe", 2);
$smarty_tpl->assign("subframe_title", "Ticket - edit ticket post");

if ($pf == "update") {
  if (trim(strip_tags($message)) == "")
    $errors[] = $lang['a_empty_message'];
	if (!zero::IsError())
		zero::UpdateTicketPost($post_id, $message);
	if (!zero::IsError())
		zero::Redirect("ticket_detail.php?ticket_ref={$ticket_ref}");
}
elseif ($pf == "delete_a")
  zero::DeleteTicketAttachment($attachment_ref);

$reply_options = zero::GetPredefinedReplyOptions($staff_id);
$reply_options[0] = "------------------ Predefined Replies ------------------";
ksort ($reply_options);
$smarty_tpl->assign("reply_options", $reply_options);
$smarty_tpl->assign("replies",zero::GetDataPredefinedReply($staff_id));

$smarty_tpl->assign("ticket", zero::GetTicket($ticket_ref));
$smarty_tpl->assign("post", zero::GetPost($post_id));
$smarty_tpl->assign("staff", zero::GetStaff($staff_id));

if (zero::IsError()) {
	$smarty_tpl->assign("message", $message);
  $smarty_tpl->assign("errors", $errors);
}
$smarty_tpl->assign("page_sub_title", "- Edit Ticket's Post");
zero::DisplayStaff("ticket_post_edit.tpl");

?>
